Skip to content
Start here

Patch Gateway Log

client.aiGateway.logs.edit(stringgatewayId, stringid, LogEditParams { account_id, feedback, metadata, score } params, RequestOptionsoptions?): LogEditResponse
PATCH/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs/{id}

Updates metadata for an AI Gateway log entry.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
gatewayId: string

gateway id

maxLength64
minLength1
id: string
params: LogEditParams { account_id, feedback, metadata, score }
account_id: string

Path param

feedback?: number | null

Body param

maximum1
minimum-1
metadata?: Record<string, string | number | boolean> | null

Body param

One of the following:
string
number
boolean
score?: number | null

Body param

maximum100
minimum0
ReturnsExpand Collapse
LogEditResponse = unknown

Patch Gateway Log

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.aiGateway.logs.edit('my-gateway', 'id', {
  account_id: '0d37909e38d3e99c29fa2cd343ac421a',
});

console.log(response);
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}